# Kiafumi

A kitchen-sink discord bot designed to replace [Skyra](https://skyra.pw) v7 for use in the [HC](https://discord.gg/utgAEV2) network.

It's written in Java, using [JDA](https://github.com/DV8FromTheWorld/JDA).

## Features

+ The expected utility command suite.
+ Music functionality using Lavaplayer.
+ Member Leave/Join logging.
+ Channel/Conversation archival and export.

## Installation

1. Download from the [Releases](https://fem.mint.lgbt/oko/kiafumi/releases), or compile with `maven clean package`.
2. Run `Kiafumi-x.x.jar` in an empty directory.
3. Create a new MariaDB(**Not** MySQL) database.
4. Open and configure the generated `config.yml`.
5. Run `Kiafumi-x.x.jar` again.

## Credits & Thanks

+ [oko](https://oko.moe)
+ [Tiddy](https://tiddy.38.fail)
+ [Laika](http://alpinia.link), for writing the groundwork of the Java fork.
+ [Favna](https://favware.tech), for maintaining [Ribbon](https://github.com/favna/ribbon) from 2017-2019, & Skyra to this day!

### Feedback

Feedback from anyone, from bug reports to feature requests, is greatly encouraged. You can contact us with the [Issues](https://fem.mint.lgbt/oko/kiafumi/issues) page, or reach `oko#0994` on discord.

## License

Copyright © 2022 oko, under the [ISC License](./LICENSE)